Get all inventory history at a location

SecurityOAuth2
Request
query Parameters
pageToken
string

The page token for the next page of results. If this value is unspecified, the endpoint returns the first page of results.

header Parameters
Toast-Restaurant-External-ID
required
string

The Toast GUID of the location queried for retail information.

Request Body schema: application/json

An request object containing criteria for searching for inventory history records

adjustmentType
Array of strings (InventoryHistoryAdjustmentType)
Items Enum: "AUTO_LINK_TRANSFER_IN" "AUTO_LINK_TRANSFER_OUT" "COUNT" "CYCLE_COUNT" "DAMAGE" "EXPIRE" "EXTERNAL" "INITIAL" "LOSS" "MISSING_DURING_TRANSFER" "PRODUCED_MANUALLY" "RECEIVE" "RESTOCK" "SAMPLED" "THEFT" "TRANSFERRED_INTERNALLY" "TRANSFERRED_TO_OTHER_LOCATION" "WASTED"
object (DateRange)
Responses
200

Success

401

The client is not authorized to query this endpoint.

403

The client does not have the proper permissions to query this endpoint.

500

Internal server error

post/v1/inventoryHistory/search
Request samples
application/json
{
  • "updatedDateRange": {
    },
  • "adjustmentType": [
    ]
}
Response samples
application/json
{
  • "currentPageToken": "string",
  • "nextPageToken": "string",
  • "data": [
    ]
}